<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<style type="text/css" media="screen">

	table{
		border: 1px solid black;
		border-radius: 30px;
		background-color: black;
		margin: 0 auto;
		font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
	}
	td{
		border: 1px solid black;
		border-radius: 30px;
		text-align: center;
	}
	button{
		border: 1px solid black;
		border-radius: 50px;
		text-align: center;
		width: 65px;
		height: 65px;
		font-size: xx-large;
		/*font-weight: bold;*/
		color: white;
		background-color: #292522;
	}
	button.operacion.arriba{
		color: #131215;
		background-color: #DFD2CF;
	}
	button.operacion{
		color: white;
		background-color: #F26C15;
	}
	button.numero.cero{
		width: 130px;
		text-align: left;
		padding-left: 22px;
	}
	input#operacion,input#resultado{
		width: 260px;
		height: 75px;
		background-color: black;
		color: white;
		border: 1px solid black;
		text-align: right;
		font-size: xx-large;
	}
	</style>

</head>
<script type="text/javascript">
	let numero = 0;
	let operacionAnterior = 0;
	window.addEventListener("load",function(e){

		let botones = document.querySelectorAll("button");
		for(let i=0;i<botones.length;i++){
			botones[i].addEventListener("click",function(e){
				document.querySelector("#resultado").value += e.target.innerHTML;

				if(e.target.className == "operacion"){
					if(operacionAnterior == ""){
						alert("sin operacion anterior");
					}else{
						operacionAnterior += e.target.innerHTML;
						
					}
				}else{
					numero = e.target.innerHTML;
					operacionAnterior += e.target.innerHTML;
					
				}
			  
			});

		}





	});





</script> 


<body>
		<table>
			<tr>
				<td colspan="4"><input type="text" id="operacion"/></td>
			</tr>
			<tr>
				<td colspan="4"><input type="text" id="resultado"/></td>
			</tr>
			<tr>
				<td><button class="operacion arriba">AC</button></td>
				<td><button class="operacion arriba">+/-</button></td>
				<td><button class="operacion arriba">%</button></td>
				<td><button class="operacion">/</button></td>
			</tr>
			<tr>
				<td><button class="numero">7</button></td>
				<td><button class="numero">8</button></td>
				<td><button class="numero">9</button></td>
				<td><button class="operacion">x</button></td>
			</tr>
			<tr>
				<td><button class="numero">4</button></td>
				<td><button class="numero">5</button></td>
				<td><button class="numero">6</button></td>
				<td><button class="operacion">-</button></td>
			</tr>
			<tr>
				<td><button class="numero">1</button></td>
				<td><button class="numero">2</button></td>
				<td><button class="numero">3</button></td>
				<td><button class="operacion">+</button></td>
			</tr>
			<tr>
				<td colspan="2"><button class="numero cero" width="80px">0</button></td>
				<td><button class="numero">,</button></td>
				<td><button class="operacion">=</button></td>
			</tr>
		</table>
</body>
</html>